---
title: Get scan
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Vulnerability Scanner](https://developers.cloudflare.com/api/python/resources/vulnerability_scanner)

[Scans](https://developers.cloudflare.com/api/python/resources/vulnerability_scanner/subresources/scans)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Get scan

vulnerability\_scanner.scans.get(strscan\_id, ScanGetParams\*\*kwargs) -> [ScanGetResponse](<https://developers.cloudflare.com/api/python/resources/vulnerability_scanner#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/vuln\_scanner/scans/{scan\_id}

Returns a single scan by ID.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### ParametersExpand Collapse

account\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20vulnerability_scanner.scans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

scan\_id: str

formatuuid

[Link to this property](<#(resource)%20vulnerability_scanner.scans%20%3E%20(method)%20get%20%3E%20(params)%20default%20%3E%20(param)%20scan_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class ScanGetResponse: …

</summary>

id: str

Scan identifier.

formatuuid

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

scan\_type: Literal\["bola"]

The type of vulnerability scan.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20scan_type">Link to this property</a>

<details>

<summary>

status: Literal\["created", "scheduled", "planning", 3 more]

Current lifecycle status of the scan.

</summary>

One of the following:

"created"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%200">Link to this property</a>

"scheduled"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%201">Link to this property</a>

"planning"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%202">Link to this property</a>

"running"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%203">Link to this property</a>

"finished"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%204">Link to this property</a>

"failed"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status%20%3E%20(member)%205">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20status">Link to this property</a>

target\_environment\_id: str

The target environment this scan runs against.

formatuuid

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20target_environment_id">Link to this property</a>

<details>

<summary>

report: Optional\[Report]

Vulnerability report produced after the scan completes. The shape depends on the scan type. Present only for finished scans.

</summary>

<details>

<summary>

report: ReportReport

Version 1 of the BOLA vulnerability scan report.

</summary>

<details>

<summary>

summary: ReportReportSummary

Summary of all steps and findings.

</summary>

<details>

<summary>

verdict: Literal\["ok", "warning", "inconclusive"]

Overall verdict of the vulnerability scan.

</summary>

One of the following:

"ok"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20summary%20%3E%20(property)%20verdict%20%3E%20(member)%200">Link to this property</a>

"warning"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20summary%20%3E%20(property)%20verdict%20%3E%20(member)%201">Link to this property</a>

"inconclusive"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20summary%20%3E%20(property)%20verdict%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20summary%20%3E%20(property)%20verdict">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20summary">Link to this property</a>

<details>

<summary>

tests: List\[ReportReportTest]

List of tests that were run.

</summary>

<details>

<summary>

steps: List\[ReportReportTestStep]

Steps that were executed.

</summary>

<details>

<summary>

assertions: List\[ReportReportTestStepAssertion]

Assertions that were made against the received response.

</summary>

description: str

Human-readable description of the assertion, explaining what was checked.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

<details>

<summary>

kind: ReportReportTestStepAssertionKind

Kind of assertion.

</summary>

<details>

<summary>

parameters: ReportReportTestStepAssertionKindParameters

Range of HTTP status codes.

</summary>

max: int

Maximum (inclusive) status code of the range.

maximum65535

minimum0

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(property)%20parameters%20%3E%20(property)%20max">Link to this property</a>

min: int

Minimum (inclusive) status code of the range.

maximum65535

minimum0

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(property)%20parameters%20%3E%20(property)%20min">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(property)%20parameters">Link to this property</a>

type: Literal\["http\_status\_within\_range"]

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20kind%20%3E%20(property)%20type">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20kind">Link to this property</a>

observed: Optional\[int]

Observed value on which the assertion was made.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20observed">Link to this property</a>

<details>

<summary>

outcome: Literal\["ok", "fail", "inconclusive"]

Outcome of the assertion.

</summary>

One of the following:

"ok"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20outcome%20%3E%20(member)%200">Link to this property</a>

"fail"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20outcome%20%3E%20(member)%201">Link to this property</a>

"inconclusive"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20outcome%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions%20%3E%20(items)%20%3E%20(property)%20outcome">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20assertions">Link to this property</a>

<details>

<summary>

errors: Optional\[List\[ReportReportTestStepError]]

Errors the step encountered that may explain absent or incomplete fields.

</summary>

description: str

Human-readable error description.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

error\_code: Optional\[int]

Numeric error code identifying the class of error, if available.

formatuint32

minimum0

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20errors%20%3E%20(items)%20%3E%20(property)%20error_code">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20errors">Link to this property</a>

<details>

<summary>

request: Optional\[ReportReportTestStepRequest]

HTTP request that was made, if any.

</summary>

<details>

<summary>

credential\_set: ReportReportTestStepRequestCredentialSet

Credential set that was used.

</summary>

id: str

ID of the credential set.

formatuuid

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20credential_set%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

role: Literal\["owner", "attacker"]

Role of the credential set.

</summary>

One of the following:

"owner"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20credential_set%20%3E%20(property)%20role%20%3E%20(member)%200">Link to this property</a>

"attacker"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20credential_set%20%3E%20(property)%20role%20%3E%20(member)%201">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20credential_set%20%3E%20(property)%20role">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20credential_set">Link to this property</a>

header\_names: List\[str]

Names of headers that were sent.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20header_names">Link to this property</a>

<details>

<summary>

method: Literal\["GET", "DELETE", "PATCH", 2 more]

HTTP method.

</summary>

One of the following:

"GET"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method%20%3E%20(member)%200">Link to this property</a>

"DELETE"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method%20%3E%20(member)%201">Link to this property</a>

"PATCH"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method%20%3E%20(member)%202">Link to this property</a>

"POST"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method%20%3E%20(member)%203">Link to this property</a>

"PUT"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method%20%3E%20(member)%204">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20method">Link to this property</a>

url: str

Exact and full URL (including host, query parameters) that was requested.

formaturi

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20url">Link to this property</a>

<details>

<summary>

variable\_captures: List\[ReportReportTestStepRequestVariableCapture]

Variable captures requested for this step.

</summary>

json\_path: str

JSONPath expression used for capture, e.g. <code>"$.id"</code>.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20variable_captures%20%3E%20(items)%20%3E%20(property)%20json_path">Link to this property</a>

name: str

Variable name, e.g. <code>"resource_id"</code>.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20variable_captures%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20variable_captures">Link to this property</a>

body: Optional\[object]

Request body, if any.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request%20%3E%20(property)%20body">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20request">Link to this property</a>

<details>

<summary>

response: Optional\[ReportReportTestStepResponse]

HTTP response that was received, if any.

</summary>

<details>

<summary>

body: ReportReportTestStepResponseBody

HTTP response body.

</summary>

One of the following:

<details>

<summary>

class ReportReportTestStepResponseBodyVulnScannerBOLABodyResponseNotFound: …

No body was received.

</summary>

kind: Literal\["not\_found"]

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%200%20%3E%20(property)%20kind">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%200">Link to this property</a>

<details>

<summary>

class ReportReportTestStepResponseBodyVulnScannerBOLABodyResponseBytes: …

Body received but unable to read as UTF-8. Raw bytes, base64-encoded.

</summary>

contents: str

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%201%20%3E%20(property)%20contents">Link to this property</a>

kind: Literal\["bytes"]

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%201%20%3E%20(property)%20kind">Link to this property</a>

truncated: bool

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%201%20%3E%20(property)%20truncated">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%201">Link to this property</a>

<details>

<summary>

class ReportReportTestStepResponseBodyVulnScannerBOLABodyResponseText: …

Body received as valid UTF-8 text but not valid JSON.

</summary>

contents: str

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%202%20%3E%20(property)%20contents">Link to this property</a>

kind: Literal\["text"]

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%202%20%3E%20(property)%20kind">Link to this property</a>

truncated: bool

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%202%20%3E%20(property)%20truncated">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%202">Link to this property</a>

<details>

<summary>

class ReportReportTestStepResponseBodyVulnScannerBOLABodyResponseJson: …

Body received as valid JSON.

</summary>

contents: str

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%203%20%3E%20(property)%20contents">Link to this property</a>

kind: Literal\["json"]

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%203%20%3E%20(property)%20kind">Link to this property</a>

truncated: bool

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%203%20%3E%20(property)%20truncated">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body%20%3E%20(variant)%203">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20body">Link to this property</a>

header\_names: List\[str]

Names of headers that were received.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20header_names">Link to this property</a>

status: int

HTTP status code.

maximum65535

minimum0

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20status">Link to this property</a>

status\_text: Optional\[str]

HTTP status text, if available for the status code.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response%20%3E%20(property)%20status_text">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps%20%3E%20(items)%20%3E%20(property)%20response">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20steps">Link to this property</a>

<details>

<summary>

verdict: Literal\["ok", "warning", "inconclusive"]

Verdict of this single test.

</summary>

One of the following:

"ok"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20verdict%20%3E%20(member)%200">Link to this property</a>

"warning"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20verdict%20%3E%20(member)%201">Link to this property</a>

"inconclusive"

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20verdict%20%3E%20(member)%202">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20verdict">Link to this property</a>

<details>

<summary>

preflight\_errors: Optional\[List\[ReportReportTestPreflightError]]

Errors that prevented step execution.

</summary>

description: str

Human-readable error description.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20preflight_errors%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

error\_code: Optional\[int]

Numeric error code identifying the class of error, if available.

formatuint32

minimum0

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20preflight_errors%20%3E%20(items)%20%3E%20(property)%20error_code">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests%20%3E%20(items)%20%3E%20(property)%20preflight_errors">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report%20%3E%20(property)%20tests">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report">Link to this property</a>

report\_schema\_version: Literal\["v1"]

Version of the report schema.

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report%20%3E%20(property)%20report_schema_version">Link to this property</a>

</details>

<a href="#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)%20%3E%20(property)%20report">Link to this property</a>

</details>

[Link to this property](<#(resource)%20vulnerability_scanner.scans%20%3E%20(model)%20scan_get_response%20%3E%20(schema)>)

### Get scan

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
scan = client.vulnerability_scanner.scans.get(
    scan_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(scan.id)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "scan_type": "bola",
    "status": "created",
    "target_environment_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "report": {
      "report": {
        "summary": {
          "verdict": "ok"
        },
        "tests": [
          {
            "steps": [
              {
                "assertions": [
                  {
                    "description": "description",
                    "kind": {
                      "parameters": {
                        "max": 0,
                        "min": 0
                      },
                      "type": "http_status_within_range"
                    },
                    "observed": 0,
                    "outcome": "ok"
                  }
                ],
                "errors": [
                  {
                    "description": "description",
                    "error_code": 0
                  }
                ],
                "request": {
                  "credential_set": {
                    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                    "role": "owner"
                  },
                  "header_names": [
                    "string"
                  ],
                  "method": "GET",
                  "url": "https://example.com",
                  "variable_captures": [
                    {
                      "json_path": "json_path",
                      "name": "name"
                    }
                  ],
                  "body": {}
                },
                "response": {
                  "body": {
                    "kind": "not_found"
                  },
                  "header_names": [
                    "string"
                  ],
                  "status": 0,
                  "status_text": "status_text"
                }
              }
            ],
            "verdict": "ok",
            "preflight_errors": [
              {
                "description": "description",
                "error_code": 0
              }
            ]
          }
        ]
      },
      "report_schema_version": "v1"
    }
  },
  "result_info": {}
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "scan_type": "bola",
    "status": "created",
    "target_environment_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "report": {
      "report": {
        "summary": {
          "verdict": "ok"
        },
        "tests": [
          {
            "steps": [
              {
                "assertions": [
                  {
                    "description": "description",
                    "kind": {
                      "parameters": {
                        "max": 0,
                        "min": 0
                      },
                      "type": "http_status_within_range"
                    },
                    "observed": 0,
                    "outcome": "ok"
                  }
                ],
                "errors": [
                  {
                    "description": "description",
                    "error_code": 0
                  }
                ],
                "request": {
                  "credential_set": {
                    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
                    "role": "owner"
                  },
                  "header_names": [
                    "string"
                  ],
                  "method": "GET",
                  "url": "https://example.com",
                  "variable_captures": [
                    {
                      "json_path": "json_path",
                      "name": "name"
                    }
                  ],
                  "body": {}
                },
                "response": {
                  "body": {
                    "kind": "not_found"
                  },
                  "header_names": [
                    "string"
                  ],
                  "status": 0,
                  "status_text": "status_text"
                }
              }
            ],
            "verdict": "ok",
            "preflight_errors": [
              {
                "description": "description",
                "error_code": 0
              }
            ]
          }
        ]
      },
      "report_schema_version": "v1"
    }
  },
  "result_info": {}
}
```